[PATCH] Introduce --with-gcc-major-version-only configure option (take 2)

Matthias Klose doko@debian.org
Thu Jan 19 23:15:00 GMT 2017


On 19.01.2017 13:26, Jakub Jelinek wrote:
> On Thu, Jan 19, 2017 at 01:13:14PM +0100, Franz Sirl wrote:
>> Am 2017-01-12 um 21:16 schrieb Jakub Jelinek:
>>> libmpx/
>>> 	* configure.ac: Add GCC_BASE_VER.
>>> 	* Makefile.am (gcc_version): Use @get_gcc_base_ver@ instead of cat to
>>> 	get version from BASE-VER file.
>>> 	* configure: Regenerated.
>>
>> Hi,
>>
>> it seems libmpx/configure.ac is missing the acx.m4 include, because there is
>> now a bare GCC_BASE_VER in the regenerated libmpx/configure.
>>
>> The attached patch seem to fix it, but I'm not good with autoconf.
> 
> Oops, sorry, dunno how this got unnoticed in my testing.
> The include belongs to aclocal.m4 IMHO, I've committed this as obvious:

I think this is wrong. aclocal.m4 is an auto-generated file. why would be the
one in libmpx special to patch directly?

Matthias



More information about the Gcc-patches mailing list